package eu.mathiasl.legacychatfix.config;

import net.md_5.bungee.api.ChatColor;

public class LegacyChatOption {
    private String legacyCode;
    private ChatColor modernCode;

    public LegacyChatOption(String legacyCode, String modernCode) {
        this.legacyCode = legacyCode;
        this.modernCode = ChatColor.of(modernCode);
    }

    public LegacyChatOption() {
        this.legacyCode = "";
        this.modernCode = ChatColor.WHITE;
    }

    public String getLegacyCode() {
        return legacyCode;
    }

    public void setLegacyCode(String legacyCode) {
        this.legacyCode = legacyCode;
    }

    public ChatColor getModernCode() {
        return modernCode;
    }

    public void setModernCode(ChatColor modernCode) {
        this.modernCode = modernCode;
    }

    @Override
    public String toString() {
        return "LegacyOption[" +
                "legacyCode='" + legacyCode + '\'' +
                ", modernCode='" + modernCode + '\'' +
                ']';
    }
}
